Package com.orchestranetworks.workflow

# Class SubWorkflowsInvocationBean

java.lang.Object
com.orchestranetworks.workflow.SubWorkflowsInvocationBean

public abstract class SubWorkflowsInvocationBean extends Object

This abstract class must be extended in order to define a specific sub-workflow invocation. A `SubWorkflowsInvocationBean` specifies its label, description and properties list. This bean will then be automatically offered when modeling workflows (with its specified label and defined parameters). The declaration must be made in `module.xml` files.

A sub-workflow invocation is used to launch one or several sub-workflows. The parent workflow waits for the termination of all launched sub-workflows before going to the next step.

Since:
  5.5.0
See Also:
  - Sample of SubWorkflowsInvocationBean

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubWorkflowsInvocationBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `handleCompleteAllSubWorkflows(SubWorkflowsCompletionContext aContext)`
  This method is automatically executed when all sub-workflows launched by the method `handleCreateSubWorkflows(SubWorkflowsCreationContext)` have been terminated; it is called only once for the sub-workflow invocation step.
  `abstract void`
  `handleCreateSubWorkflows(SubWorkflowsCreationContext aContext)`
  This method is automatically executed when the control flow reaches the sub-workflows invocation step.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubWorkflowsInvocationBean

    public SubWorkflowsInvocationBean()

- ## Method Details

  - ### handleCreateSubWorkflows

    public abstract void handleCreateSubWorkflows(SubWorkflowsCreationContext aContext) throws OperationException
    This method is automatically executed when the control flow reaches the sub-workflows invocation step.

    This method initializes the input parameters of the sub-workflows and launches them.

    Throws:
      `OperationException`

  - ### handleCompleteAllSubWorkflows

    public abstract void handleCompleteAllSubWorkflows(SubWorkflowsCompletionContext aContext) throws OperationException
    This method is automatically executed when all sub-workflows launched by the method `handleCreateSubWorkflows(SubWorkflowsCreationContext)` have been terminated; it is called only once for the sub-workflow invocation step.

    This method updates the data context of the main workflow according to the output parameters of the sub-workflows.

    Throws:
      `OperationException`